[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] PATCH: Add NUMA info to QEMU driver



On Tue, May 20, 2008 at 06:42:17PM +0200, Jim Meyering wrote:
> "Daniel P. Berrange" <berrange redhat com> wrote:
> > +  else
> > +    AC_CHECK_HEADER([numa.h],[],
> > +       [AC_MSG_ERROR([You must install the numactl development package in order to compile libvirt])])
> > +    AC_CHECK_LIB(numa, numa_available,[],
> > +       [AC_MSG_ERROR([You must install the numactl development package in order to compile and run libvirt])])
> > +  fi
> 
> Does that mean you'd prefer to keep the slightly different diagnostics above?

No, i meant many of the other checks  have similar duplication of messages
so I wanted to change them all at once using the changed you suggest...

> Here's an alternative:
> 
>    fail=0
>    AC_CHECK_HEADER([numa.h], [], [fail=1])
>    AC_CHECK_LIB([numa], [numa_available], [], [fail=1])
>    test $fail = 1 &&
>      AC_MSG_ERROR([You must install the numactl development package in order to compile libvirt])

Dan.
-- 
|: Red Hat, Engineering, Boston   -o-   http://people.redhat.com/berrange/ :|
|: http://libvirt.org  -o-  http://virt-manager.org  -o-  http://ovirt.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: GnuPG: 7D3B9505  -o-  F3C9 553F A1DA 4AC2 5648 23C1 B3DF F742 7D3B 9505 :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]